<template>
  <div class="column q-pt-xl bg-accent">
    <div
      :class="($q.platform.is.mobile ? 'text-h2' : 'text-h1') +
        ' text-bold text-white text-center q-mb-lg'"
    >
    How does it work?
    </div>

    <div class="row justify-evenly vertical-bottom">
      <div class="col-12 col-sm-8 col-md-3 q-pa-md" v-for="(detail, index) in details" :key="index">
        <q-card
          dark
          :class="detail.class + ' rounded-border-16'">
          <q-card-section>
            <q-img
              v-if="!!detail.asset"
              :src="require('assets/' + detail.asset.toString())"
              style="height: 280px; width: 100%;"
            />
            <index-demo v-else-if="detail.id === 'demo'" />
            <div v-else-if="detail.id === 'daily-graph'" class="row justify-center">
              <index-graph style="height: 280px" />
            </div>
          </q-card-section>
          <q-card-section>
            <div class="text-h5 text-center">{{ detail.title }}</div>
          </q-card-section>

          <q-separator :dark="detail.dark" inset />

          <q-card-section class="text-subtitle1 text-justify">
            {{ detail.brief }}
          </q-card-section>
        </q-card>
      </div>
    </div>

    <div id="pricing" class="row justify-center full-width q-my-lg">
      <q-btn round color="alt-accent" icon="expand_more" to="#pricing"/>
    </div>

  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
import IndexDemo from './Demo.vue'
import IndexGraph from './Graph.vue'
export default defineComponent({
  name: 'IndexHow',

  components: {
    IndexDemo,
    IndexGraph
  },

  data() {
    return {
      details: [
        {
          id: 'demo',
          class: 'bg-primary',
          dark: true,
          title: 'The browser plugin',
          brief: 'Install the browser plugin on Firefox, Brave, Edge, and Chrome-based browsers. The plugin searches your history along with Google.'
        },
        {
          id: 'sign-up-or-self-host',
          class: 'bg-alt-primary',
          asset: 'sign-up-or-self-host.svg',
          dark: true,
          title: 'Sign up or self-host',
          brief: 'Sign up to use theNexusCodes or self-host on your server. Search through any type of data in your history, filesystems, or Dropbox, etc.'
        },
        {
          id: 'daily-graph',
          class: 'bg-ctrl-secondary text-black',
          // asset: 'sign-up-or-self-host.svg',
          dark: false,
          title: 'Take a look at your day',
          brief: 'Choose private and public topic. Your public information builds a globally federated accessible data graph. Your private info stays with you.'
        }
      ]
    }
  },
})
</script>
